FC2ブログ

Ruby RVM インストールエラー

RVMでRubyを入れたら、エラー。

It seems your ruby installation is missing psych (for YAML output).
To eliminate this warning, please install libyaml and reinstall your ruby.
ERROR: Loading command: install (LoadError)
cannot load such file -- zlib
ERROR: While executing gem ... (NameError)
uninitialized constant Gem::Commands::InstallCommand



この状態でgem list --localしてみると、gemがひとつも入っていない。

とりあえず、言われたとおりにlibyamlとzlibを入れて、Rubyを再インストール。

$ sudo apt-get install zlib1g-dev
$ sudo apt-get install libyaml-dev
$ rvm remove 1.9.3
$ rvm install 1.9.3



あとは、ここを参考に進めればおkです。

コメントの投稿

非公開コメント

カレンダー
08 | 2020/09 | 10
- - 1 2 3 4 5
6 7 8 9 10 11 12
13 14 15 16 17 18 19
20 21 22 23 24 25 26
27 28 29 30 - - -
検索フォーム
カテゴリ
月別アーカイブ
最新記事
最新コメント
最新トラックバック
RSSリンクの表示
QRコード
QR
リンク
アクセス解析